Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletTriangleMeshShape Class Reference

Inheritance diagram for BulletTriangleMeshShape:

List of all members.

## Public Member Functions
| BulletTriangleMeshShape (BulletTriangleMesh mesh, bool dynamic, bool compress, bool bvh)
| The parameters 'compress' and 'bvh' are only used if 'dynamic' is set to FALSE.
| BulletTriangleMeshShape (BulletTriangleMesh mesh, bool dynamic, bool compress)
| The parameters 'compress' and 'bvh' are only used if 'dynamic' is set to FALSE.
| BulletTriangleMeshShape (BulletTriangleMeshShape const copy)
| BulletTriangleMeshShape (BulletTriangleMesh mesh, bool dynamic)
| The parameters 'compress' and 'bvh' are only used if 'dynamic' is set to FALSE.
bool | isDynamic ()
bool | isStatic ()
BulletTriangleMeshShape | operator= (BulletTriangleMeshShape const copy)
| refitTree (Point3 const aabb_min, Point3 const aabb_max)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

BulletTriangleMeshShape | ( | BulletTriangleMesh | mesh,
|  | bool | dynamic,
|  | bool | compress,
|  | bool | bvh
| ) |  |

The parameters 'compress' and 'bvh' are only used if 'dynamic' is set to FALSE.

BulletTriangleMeshShape | ( | BulletTriangleMesh | mesh,
|  | bool | dynamic,
|  | bool | compress
| ) |  |

The parameters 'compress' and 'bvh' are only used if 'dynamic' is set to FALSE.

BulletTriangleMeshShape | ( | BulletTriangleMesh | mesh,
|  | bool | dynamic
| ) |  |

The parameters 'compress' and 'bvh' are only used if 'dynamic' is set to FALSE.

BulletTriangleMeshShape | ( | BulletTriangleMeshShape const | copy | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BulletShape.

bool isDynamic | ( |  | ) |

bool isStatic | ( |  | ) |

BulletTriangleMeshShape operator= | ( | BulletTriangleMeshShape const | copy | ) |

refitTree | ( | Point3 const | aabb_min,
|  | Point3 const | aabb_max
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties